> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Member Role



## OpenAPI

````yaml /api-reference/openapi.json patch /api/orgs/{org_id}/members/{user_id}
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/orgs/{org_id}/members/{user_id}:
    patch:
      tags:
        - organizations
      summary: Update Member Role
      operationId: update_member_role_api_orgs__org_id__members__user_id__patch
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: integer
            title: Org Id
        - name: user_id
          in: path
          required: true
          schema:
            type: integer
            title: User Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberRoleUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    MemberRoleUpdate:
      properties:
        roles:
          items:
            type: string
          type: array
          title: Roles
      type: object
      required:
        - roles
      title: MemberRoleUpdate
    MemberRead:
      properties:
        id:
          type: integer
          title: Id
        email:
          type: string
          title: Email
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        is_active:
          type: boolean
          title: Is Active
        roles:
          items:
            type: string
          type: array
          title: Roles
          default: []
        is_platform_owner:
          type: boolean
          title: Is Platform Owner
          default: false
        organization_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Organization Id
      type: object
      required:
        - id
        - email
        - is_active
      title: MemberRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````